#include<iostream>
using namespace std;
int main()
{
    long long N,var=0,predi,sled;
    cin>>N;
    long long h[N];
    for(long long i=0;i<N;i++){
        cin>>h[i];
    }
    predi=h[0];
    sled=h[2];
    for(long long j=1;j<N;j++){
            if(h[j]>predi&&h[j]>sled){
                var++;
            }
            predi=h[j];
            sled=h[j+2];

    }
    predi=h[0];
    sled=h[2];
    for(long long m=1;m<N;m++){
            if(h[m]<predi&&h[m]<sled){
                var++;
            }
            predi=h[m];
            sled=h[m+2];

    }
    predi=h[0];
    for(long long a=1;a<N;a++){
            if(h[a]>predi){
                var++;
            }
            predi=h[a];

    }
    cout<<var*2;
    return 0;
}
